clang-tools 10.0.0

Public Attributes | Friends | List of all members
clang::clangd::DocumentLink Struct Reference

A range in a text document that links to an internal or external resource, like another text document or a web site. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::DocumentLink:
[legend]

## Public Attributes
Range | range
| The range this link applies to. More...
URIForFile | target
| The uri this link points to. If missing a resolve request is sent later. More...

## Friends
bool | operator== (const DocumentLink &LHS, const DocumentLink &RHS)
bool | operator!= (const DocumentLink &LHS, const DocumentLink &RHS)

## Detailed Description

A range in a text document that links to an internal or external resource, like another text document or a web site.

Definition at line 1269 of file Protocol.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const DocumentLink & | LHS,
|  | const DocumentLink & | RHS
| ) |  |
| friend

Definition at line 1287 of file Protocol.h.

## ◆ operator==

bool operator== | ( | const DocumentLink & | LHS,
|  | const DocumentLink & | RHS
| ) |  |
| friend

Definition at line 1283 of file Protocol.h.

## Member Data Documentation

## ◆ range

Range clang::clangd::DocumentLink::range

The range this link applies to.

Definition at line 1271 of file Protocol.h.

## ◆ target

URIForFile clang::clangd::DocumentLink::target

The uri this link points to. If missing a resolve request is sent later.

Definition at line 1274 of file Protocol.h.

The documentation for this struct was generated from the following file:

- Protocol.h